<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Nota</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>
        <p:growl id="mensaje" />
        <h:form id="formNota"> 
            <p:panel id="basic" header="Notas" style="margin-bottom:20px"> 
                <h:panelGrid columns="2"> 
                    <p:outputLabel value="Persona"/>
                    <p:selectOneMenu value="#{notaController.persona.codigo}">
                        <f:selectItem itemLabel="Seleccione Persona     " itemValue="" />
                        <f:selectItems value="#{personaController.lista}" var="persona" itemLabel="#{persona.nombres}" itemValue="#{persona.codigo}"/>
                    </p:selectOneMenu>

                    <p:outputLabel value="Categoria"/>
                    <p:selectOneMenu value="#{notaController.categoria.codigo}">
                        <f:selectItem itemLabel="Seleccione Categoría     " itemValue="" />
                        <f:selectItems value="#{categoriaController.lista}" var="categoria" itemLabel="#{categoria.nombre}" itemValue="#{categoria.codigo}"/>
                    </p:selectOneMenu>

                    <p:outputLabel value="Encabezado"/>
                    <p:inputText value="#{notaController.nota.encabezado}"/>

                    <p:outputLabel value="Cuerpo"/>
                    <p:inputText value="#{notaController.nota.cuerpo}"/>

                    <p:outputLabel value="Fecha"/>
                    <p:calendar value="#{notaController.nota.fecha}"/>

                    <p:outputLabel value="Comentario Administrador"/>
                    <p:inputText value="#{notaController.nota.comentarioAdmin}"/>

                    <p:outputLabel for="onemenu" value="Valoración"/>
                    <p:selectOneMenu id="onemenu" value="#{notaController.nota.valoracion}">
                        <f:selectItem itemLabel="Seleccione Uno     " itemValue="" />
                        <f:selectItem itemLabel="1" itemValue="1" />
                        <f:selectItem itemLabel="2" itemValue="2" />
                        <f:selectItem itemLabel="3" itemValue="3" />
                        <f:selectItem itemLabel="4" itemValue="4" />
                        <f:selectItem itemLabel="5" itemValue="5" />
                    </p:selectOneMenu>

                    <p:commandButton value="Listar" actionListener="#{notaController.listar()}" update=":listatabla"/>
                    <p:commandButton value="Enviar" actionListener="#{notaController.guardar()}" update="formNota,:mensaje"/>
                </h:panelGrid>
            </p:panel>
        </h:form>   

        <h:form id="listatabla">
            <p:dataTable value="#{notaController.lista}" var="ver" paginator="true" rows="5" reflow="true" style="margin-top:2px">
                <f:facet name="header">
                    Listado de Notas
                </f:facet>
                <p:column headerText="Codigo">
                    <p:outputLabel value="#{ver.codigo}" />
                </p:column>
                <p:column headerText="Persona">
                    <p:outputLabel value="#{ver.codigo_persona.nombres}" />
                </p:column> 
                <p:column headerText="Categoria">
                    <p:outputLabel value="#{ver.codigo_categoria.nombre}" />
                </p:column>
                <p:column headerText="Encabezado">
                    <p:outputLabel value="#{ver.encabezado}" />
                </p:column>
                <p:column headerText="Cuerpo">
                    <p:outputLabel value="#{ver.cuerpo}" />
                </p:column>

                <p:column headerText="Fecha">
                    <p:outputLabel value="#{ver.fecha}" />
                </p:column>

                <p:column headerText="Comentario">
                    <p:outputLabel value="#{ver.comentarioAdmin}" />
                </p:column>

                <p:column headerText="Valoración">
                    <p:outputLabel value="#{ver.valoracion}" />
                </p:column>

                <p:column headerText="Modificar">
                    <p:commandButton value="Modificar" actionListener="#{notaController.leerId(ver)}" update=":dia" oncomplete="PF('w').show();" />
                </p:column>
                <p:column headerText="Eliminar">
                    <p:commandButton value="Eliminar" actionListener="#{notaController.eliminar(ver)}" immediate="true" update=":listatabla,:mensaje" />
                </p:column>
            </p:dataTable>
        </h:form>

        <p:dialog id="dia" widgetVar="w" header="Datos">
            <h:form>
                <p:outputLabel value="Persona"/>
                <p:selectOneMenu value="#{notaController.persona.codigo}">
                    <f:selectItem itemLabel="Seleccione Persona     " itemValue="" />
                    <f:selectItems value="#{personaController.lista}" var="persona" itemLabel="#{persona.nombres}" itemValue="#{persona.codigo}"/>
                </p:selectOneMenu>

                <p:outputLabel value="Categoria"/>
                <p:selectOneMenu value="#{notaController.categoria.codigo}">
                    <f:selectItem itemLabel="Seleccione Categoría     " itemValue="" />
                    <f:selectItems value="#{categoriaController.lista}" var="categoria" itemLabel="#{categoria.nombre}" itemValue="#{categoria.codigo}"/>
                </p:selectOneMenu>

                <p:outputLabel value="Encabezado"/>
                <p:inputText value="#{notaController.nota.encabezado}"/>

                <p:outputLabel value="Cuerpo"/>
                <p:inputText value="#{notaController.nota.cuerpo}"/>

                <p:outputLabel value="Fecha"/>
                <p:calendar value="#{notaController.nota.fecha}"/>

                <p:outputLabel value="Comentario Administrador"/>
                <p:inputText value="#{notaController.nota.comentarioAdmin}"/>

                <p:outputLabel for="onemenu" value="Valoración"/>
                <p:selectOneMenu id="onemenu" value="#{notaController.nota.valoracion}">
                    <f:selectItem itemLabel="Seleccione Uno     " itemValue="" />
                    <f:selectItem itemLabel="1" itemValue="1" />
                    <f:selectItem itemLabel="2" itemValue="2" />
                    <f:selectItem itemLabel="3" itemValue="3" />
                    <f:selectItem itemLabel="4" itemValue="4" />
                    <f:selectItem itemLabel="5" itemValue="5" />
                </p:selectOneMenu>

                <p:commandButton value="Modificar" actionListener="#{notaController.modificar()}" oncomplete="PF('w').hide ();" update=":listatabla,:mensaje"/> 
                <p:commandButton value="Cancelar" oncomplete="PF('w').hide();" update=":listatabla" immediate="true"/>
            </h:form>
        </p:dialog>

    </h:body>
</html>